Loading...
Searching...
No Matches
nanoflann::RadiusResultSet< _DistanceType, _IndexType > Class Template Reference
nanoflann C++ library for KD-trees » Result set classes

`#include <nanoflann.hpp>`

## Public Types

using | DistanceType = _DistanceType
using | IndexType = _IndexType

## Public Member Functions

| RadiusResultSet (DistanceType radius_, std::vector< ResultItem< IndexType, DistanceType > > &indices_dists)
void | init ()
void | clear ()
NANOFLANN_NODISCARD size_t | size () const noexcept
NANOFLANN_NODISCARD bool | empty () const noexcept
NANOFLANN_NODISCARD bool | full () const noexcept
bool | addPoint (DistanceType dist, IndexType index)
NANOFLANN_NODISCARD DistanceType | worstDist () const noexcept
ResultItem< IndexType, DistanceType > | worst_item () const
void | sort ()

## Public Attributes

const DistanceType | radius
std::vector< ResultItem< IndexType, DistanceType > > & | m_indices_dists

## Detailed Description

template<typename _DistanceType, typename _IndexType = size_t>
class nanoflann::RadiusResultSet< _DistanceType, _IndexType >

A result-set class used when performing a radius based search.

## Member Function Documentation

## addPoint()

template<typename _DistanceType, typename _IndexType = size_t>

bool nanoflann::RadiusResultSet< _DistanceType, _IndexType >::addPoint | ( | DistanceType | dist,
|  | IndexType | index )

inline

Called during search to add an element matching the criteria.

Returns
  true if the search should be continued, false if the results are sufficient

## worst_item()

template<typename _DistanceType, typename _IndexType = size_t>

ResultItem< IndexType, DistanceType > nanoflann::RadiusResultSet< _DistanceType, _IndexType >::worst_item | ( |  | ) | const

inline

Find the worst result (farthest neighbor) without copying or sorting Pre-conditions: size() > 0

The documentation for this class was generated from the following file:

- include/nanoflann.hpp